#-------------------------------------------------------------------------------------------------
# Copyright (c) International Business Machines Corp., 2009
#
# IBM XIV Storage System Software
#
# Licensed materials provided under the terms of the IBM International Program
# License Agreement. See the Software
# licensing materials that came with the IBM XIV Storage System for terms and
# conditions.
#
#------------------------------------------------------------------------------------------------- 

import sys

class BadArgsError(Exception):
    pass

def catch_bad_args(func):
    def call(*args, **kwargs):
        try:
            return func(*args, **kwargs)
        except BadArgsError, e:
            print >> sys.stderr, e.args[0]
            print
            sys.exit(1)

    call.__name__ = func.__name__
    call.__dict__ = func.__dict__
    call.__doc__  = func.__doc__
    return call

